#include <stdio.h>

int main()
{
    int a, b, x, y;

    scanf("%d%d%d%d", &a, &b, &x, &y);

    if (x == a && y == b)
        printf("nijedan");
    else if (x != a && y != b)
        printf("?");
    else if (x != a && y == b)
        printf("prvi");
    else if (x == a && y != b)
        printf("drugi");
}